/* Modal Gate */
/* Requires variables_1.0.css */

.modal-logo {
    max-width: 20rem;
    margin: 0px 0 2rem 0;
}

.modals-overlay {
    background-color: rgb(223 223 223 / 80%);
}

.custom-popup-modal .gate-wrapper {
    display: block;
    max-width: 100%;
}

.custom-popup-modal .gate {
    padding: 0;
}

.custom-popup-modal .gate h1 {
    font-size: var(--text-h3-size);
    border-top: 1px solid;
    border-color: var(--color-branding-primary);
    padding-top: 2rem;
    margin-top: 0;
}

.custom-popup-modal .gate .form-elements {
    display: flex;
    gap: 1rem;
    margin: .5rem 0;
}

.custom-popup-modal .gate input.submit {
    background: var(--color-button-background);
    border: var(--color-button-border);
    color: var(--color-button-text);
    border-radius: 2rem;
    padding: 1rem 2rem;
}

.custom-popup-modal .gate input.submit:hover {
    background: var(--color-button-background-hover);
    border: var(--color-button-border-hover);
    color: var(--color-button-text-hover);
    transition: all 0.25s ease;
}

.custom-popup-modal .gate input#zip {
    height: 4rem;
    border-radius: .5rem;
}

.hidden {
  display: none;
}

.custom-popup-modal .gate .right {
    margin-top: 3rem;
}

.custom-popup-modal .account_number-wrapper {
    border-bottom: 1px solid var(--color-mid-gray);
    margin-bottom: 1rem;
    padding-bottom: 2rem;
}

.custom-popup-modal .gate input, .custom-popup-modal .gate select {
    height: 4.5rem;
    margin-top: 1rem;
}

.custom-popup-modal .gate input.submit {
    border-radius: 2rem;
    margin-top: 2rem;
}

.custom-popup-modal .gate input, .gate select {
    height: 4.5rem;
    margin-top: 1rem;
}

.custom-popup-modal .icon svg {
    height: 1.5rem;
    fill: var(--color-branding-primary);
}

.custom-popup-modal .trigger-wrapper {
    display: flex;
    gap: .5rem;
    margin-top: 2rem;
    align-items: flex-start;
}

.security-privacy-panel {
    width: 100%;
}

@media only screen and (min-width: 768px) {

    .custom-popup-modal .modal-inner-wrap {
        border-top: 1rem solid var(--color-branding-primary);
    }

    .custom-popup-modal .gate {
        display: flex;
        gap: 3rem;
        margin-top: 0;
        padding: 0;
        width: 100%;
        align-items: center;
    }

    .custom-popup-modal .gate h1 {
        font-size: var(--text-h2-size);
        border-top: unset;
        padding-top: 0;
        margin-top: 0;
    }

    .custom-popup-modal._inner-scroll .modal-inner-wrap {
        max-width: 80rem;
    }

    .custom-popup-modal .gate .left {
        border-right: 1px solid var(--color-mid-gray);
        padding-right: 3rem;
        width: 40%;
    }

    .custom-popup-modal .gate .right {
        width: 60%;
    }


}


/* Footer gate modal lanucher */

.footer-gate-launcher {
    position: sticky;
    bottom: -1px;
    z-index: 99;
    font-weight: var(--font-weight-bold);
}

.launch {
    background: var(--color-branding-primary);
    color: #ffffff;
    padding: 2rem;
    text-align: center;
}

.launch p {
    margin: 0;
    font-weight: var(--font-weight-bold)
}

.launch a {
    background: #fff;
    color: var(--color-branding-primary);;
    border: 1px solid #fff;
    padding: 1rem 2rem;
    display: block;
    margin-left: 1rem;
    margin-top: 1rem;
    border-radius: .5rem;
    transition: all 0.3s ease;
    text-transform: uppercase;
    display: inline-block;
    font-weight: var(--font-weight-bold)
}

.launch a:hover {
    background: var(--color-branding-primary);
    color: #fff;
    text-decoration: none;
}